Bug 1732803

Summary: Review Request: python-pyftdi - Python support for FTDI devices
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-29 22:06:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1733115, 1733117    

Description Fabian Affolter 2019-07-24 11:54:18 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pyftdi.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pyftdi-0.29.2-1.fc30.src.rpm

Project URL: https://github.com/eblot/pyftdi

Description:
PyFtdi aims at providing a user-space driver for modern FTDI devices.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=36458867

rpmlint output:
$ rpmlint python-pyftdi-0.29.2-1.fc30.src.rpm 
python-pyftdi.src:37: W: macro-in-comment %check
python-pyftdi.src:38: W: macro-in-comment %{buildroot}
python-pyftdi.src:38: W: macro-in-comment %{python3_sitelib}
python-pyftdi.src:38: W: macro-in-comment %{__python3}
python-pyftdi.src:38: W: macro-in-comment %{pypi_name}
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

$ rpmlint python3-pyftdi-0.29.2-1.fc30.noarch.rpm 
python3-pyftdi.noarch: W: no-manual-page-for-binary i2cscan.py
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 2019-07-26 16:44:26 UTC
 - There's an issue with the licenses, author claims it's MIT licenesed but actually providet the text of BSD 3-Clause

https://github.com/eblot/pyftdi/blob/master/pyftdi/doc/licenses.rst

 Also headers are BSD:

BSD 3-clause "New" or "Revised" License
---------------------------------------
pyftdi-0.29.2/pyftdi/__init__.py
pyftdi-0.29.2/pyftdi/bin/i2cscan.py
pyftdi-0.29.2/pyftdi/bits.py
pyftdi-0.29.2/pyftdi/gpio.py
pyftdi-0.29.2/pyftdi/i2c.py
pyftdi-0.29.2/pyftdi/misc.py
pyftdi-0.29.2/pyftdi/serialext/__init__.py
pyftdi-0.29.2/pyftdi/serialext/logger.py
pyftdi-0.29.2/pyftdi/serialext/protocol_ftdi.py
pyftdi-0.29.2/pyftdi/serialext/protocol_unix.py
pyftdi-0.29.2/pyftdi/serialext/tests/pyterm.py
pyftdi-0.29.2/pyftdi/serialext/tests/term.py
pyftdi-0.29.2/pyftdi/spi.py
pyftdi-0.29.2/pyftdi/tests/bits.py
pyftdi-0.29.2/pyftdi/tests/ftdi.py
pyftdi-0.29.2/pyftdi/tests/gpio.py
pyftdi-0.29.2/pyftdi/tests/i2c.py
pyftdi-0.29.2/pyftdi/tests/jtag.py
pyftdi-0.29.2/pyftdi/tests/spi.py
pyftdi-0.29.2/pyftdi/tests/uart.py

Please contact upstream to clarify which license is meant to be used. https://github.com/eblot/pyftdi/issues/137



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License (v2
     or later)", "BSD 3-clause "New" or "Revised" License". 25 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-pyftdi/review-python-
     pyftdi/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 20 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pyftdi-0.29.2-1.fc31.noarch.rpm
          python-pyftdi-0.29.2-1.fc31.src.rpm
python3-pyftdi.noarch: W: no-manual-page-for-binary i2cscan.py
python-pyftdi.src:37: W: macro-in-comment %check
python-pyftdi.src:38: W: macro-in-comment %{buildroot}
python-pyftdi.src:38: W: macro-in-comment %{python3_sitelib}
python-pyftdi.src:38: W: macro-in-comment %{__python3}
python-pyftdi.src:38: W: macro-in-comment %{pypi_name}
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 2 Fabian Affolter 2019-08-19 08:30:06 UTC
Thanks for your help.

License issue was fixed by upstream.


Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pyftdi.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pyftdi-0.29.6-1.fc30.src.rpm

Comment 3 Robert-André Mauchin 2019-08-19 14:18:48 UTC
Package approved.

Comment 4 Gwyn Ciesla 2019-08-20 13:21:23 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pyftdi

Comment 5 Fedora Update System 2019-08-20 19:16:32 UTC
FEDORA-2019-6e58e0e8eb has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6e58e0e8eb

Comment 6 Fedora Update System 2019-08-21 01:21:35 UTC
python-pyftdi-0.29.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6e58e0e8eb

Comment 7 Fedora Update System 2019-08-29 22:06:05 UTC
python-pyftdi-0.29.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.